skip to navigation
skip to content

Not Logged In

stomp.py 4.0.9

Python STOMP client, supporting versions 1.0 and 1.1 of the protocol

Latest Version: 4.0.11

"stomp.py" is a Python client library for accessing messaging servers (such as ActiveMQ, Apollo or RabbitMQ) using the STOMP protocol (versions 1.0, 1.1 and 1.2). It can also be run as a standalone, command-line client for testing.

A basic example of using stomp.py can be found here.

More info can be found on GitHub.

Select:

  • Version 4.0+ for both Python2.x and Python3.x, with support for STOMP 1.2 (note this version separates the transport mechanism from the protocol)
  • Version 3.0+ for both Python2.x and Python3.x (STOMP 1.0 and 1.1 only)
  • Version 2.0.x for Python2.x
 
File Type Py Version Uploaded on Size
stomp.py-4.0.9.tar.gz (md5) Source 2014-01-26 96KB
  • Downloads (All Versions):
  • 246 downloads in the last day
  • 2075 downloads in the last week
  • 7271 downloads in the last month